SQL Server #

  • SQL Server 2012 SP4 (bis 12.07.2022)
  • SQL Server 2014 SP3 (bis 09.07.2024)
  • SQL Server 2016 SP2 (bis 14.07.2026)
  • SQL Server 2017 (bis 12.10.2027)
  • SQL Server 2019 (bis 08.01.2030)
  • SQL Server Integration Services (SSIS)

Für die Entwicklung: SQL Server Data Tools werden benötigt, um SSIS-Pakete zu erstellen. Verwenden Sie das entsprechende SSDT für den von Ihnen eingesetzten SQL Server. Weitere Details finden Sie in der Microsoft Hilfe.

SAP Voraussetzungen #

Unterstützte SAP Systeme und Releases #

Die gesamte Kommunikation mit SAP wird über das RFC-Protokoll abgewickelt. Es werden alle SAP-ABAP-basierten Systeme unterstützt, die eine RFC-Konnektivität bieten. Die Integration erfolgt auf der Ebene des SAP-Applikationsservers. Daher ist es unerheblich, welche Datenbank das SAP-System verwendet. Es werden SAP-ABAP-Systeme auf jeder beliebigen Datenbank (einschließlich HANA) unterstützt. Das bedeutet, dass das Betriebssystem des SAP-Systems irrelevant ist - alle Betriebssysteme werden unterstützt. SAP-Systeme, die auf Big Endian- und Little Endian-Hardware laufen, werden unterstützt.

SAP Releases 4.6C und höher werden unterstützt. Dazu gehören:

  • SAP R/3 Version 4.6C und höher
  • mySAP
  • SAP ERP / ECC 5.0 / ECC 6.0 (inkl. alle EhPs)
  • SAP Business Suite 7 (CRM, SRM, SCM etc.)
  • SAP Business All in One, CAR, APO, PI, IS-U etc.
  • SAP S/4HANA
  • SAP BW 3.1 und höher
  • SAP BW/BI 7.x
  • SAP BW/4HANA
  • SAP Application Server ABAP, Message Server, Router, Standalone Gateway

HANA Datenbank #

Mit Operational Data Provisioning (ODP) können Sie die SAP-HANA-Datenbank eines SAP-ABAP-Quellsystems anschließen. Die Kommunikation erfolgt über RFC. Mit ODP für SAP HANA (HANA) können die folgenden HANA-View-Typen extrahiert werden:

  • Analyse-Views (Analysis Views)
  • Berechnungs-Views (Calculation Views)
  • Ansichten für verknüpfte Attribute (Associated Attribute Views)

Der direkte Zugriff auf eine HANA-Datenbank ohne ein SAP-ABAP-Quellsystem, das auf der entsprechenden HANA-Datenbank läuft, wird nicht unterstützt.

Nicht unterstützte SAP Systeme #

Nicht unterstützt werden die SAP-Systeme, die nicht auf ABAP-Systemen laufen oder keine RFC-Konnektivität bieten. Die folgenden Systeme werden nicht unterstützt:

  • Business By Design
  • Business One
  • Business Objects
  • Sybase
  • Ariba
  • Success Factors
  • Concur

Installation und Konfiguration auf SAP #


Komponente SAP Release Anforderung an das SAP System
Table Rel. above 4.0B für die meisten Aufgaben erfordern die Installation eines Funktionsbausteins, jedoch nicht für alle
Table Join Rel. 7.0 or above die Installation eines Z-Funktionsbausteins ist notwendig
Query Rel. above 4.0B keine
BAPI Rel. above 4.0B keine
Report Rel. above 4.0B die Installation eines Z-Funktionsbausteins ist notwendig
BW Cube Rel. above BW 3.1 keine
Hierarchy Rel. above BW 3.1 keine
OHS Rel. above BW 3.5 Anpassung / customizing
DeltaQ Rel. above 4.6A Anpassung / customizing

Informationen über die Installation der Z-Funktionsbausteine bzw. das Customizing finden Sie im Abschnitt SAP Customizing .

SAP-Authentifizierung #

  • SAP-Benutzerauthentifizierung (Benutzername und Kennwort)
  • SAP-Authentifizierung mit Single Sign On (SSO) und Kerberos
  • SAP Logon Ticket (über SAP Ticket Issuer)verfügbar in einigen Produkten
  • SAP System oder Dialog-Anwender mit den entsprechenden Berechtigungsobjekten.

Ports #

Folgende Ports müssen abhängig vom SAP-System offen sein. nn ist die Instanznummer des SAP Systems (z.B. 00 oder 99).

  • SAP Application Server: Port 33nn
  • SAP Message Server (Load Balancing): Port 36nn
  • Secure Communication Network (SCN): Port 48nn
  • SAP Router: Port 3399

SAP-Lizenzen #

Zusätzliche SAP-Lizenzen für die Extraktion der SAP-Daten können erforderlich sein. Mehr Informationen dazu erhalten Sie direkt von SAP.

Operationssysteme #

  • Windows 10
  • Windows Server 2019
  • Windows 8.1 (bis 10.01.2023)
  • Windows 7 SP1 (bis 14.01.2020)
  • Windows Server 2016 (bis 12.01.2027)
  • Windows Server 2012 R2 (bis 10.10.2023)
  • Windows Server 2012 (bis 10.10.2023)
  • Windows Server 2008 R2 SP1 (bis 14.01.2020)
  • Windows Server 2008 SP2 (bis 14.01.2020)

Andere Anwendungen und Frameworks

.NET Framework 4.7.2 oder höher. Laden Sie das Framework direkt von der Website von Microsoft herunter.

Hardware #

Arbeitsspeicher

  • 4 GB minimum. Abhängig vom Datenvolumen kann auch mehr Arbeitsspeicher benötigt werden.

Festplattenspeicher

  • Für die Installation werden 50 MB Festplattenspeicher benötigt

32/64-Bit Umgebung #

  • 32-Bit und 64-Bit Betriebssysteme